Subject: Re: bug#50674: Major mode for etc/AUTHORS with basic font-locking

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Sep 2021 12:54:02 -0700

tags 50674 fixed
close 50674 28.1
thanks

Stefan Kangas <[email-masked]> writes:

> I've attached a new patch.

I've pushed this to master as commit 6478ce4a4b with the following
changes:

- Added two commands to go to the previous and next author, bound to "p"
  and "n" respectively.

- As Juri suggested, I removed the entry from `auto-mode-alist' and
  replaced it with a "mode: etc-authors" line in AUTHORS.  That was a
  much cleaner way to do it.

- Some other very minor clean-up, such as putting a :group on the
  defgroup.

- Added a NEWS entry.